package easyNotify;

import org.omg.CosNotification.*;
import org.omg.CosNotifyComm.*;
import org.omg.CosNotifyChannelAdmin.*;
import org.omg.CosEventComm.*;
import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import java.util.*;



/**
 * partie commune  tous les Suppliers
 **/
public abstract class EasyNotifySupplier extends EasyNotify{




    /**
     * pour les connexions en tant que producteur
     **/
    protected SupplierAdmin supplierAdmin;
    
    protected IntHolder proxyConsumerId;







    public EasyNotifySupplier(ORB orb) throws org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb);
    }
    


    public EasyNotifySupplier(ORB orb, Property[] initialQoS, Property[] initialAdmin)throws org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin{
	super(orb, initialQoS, initialAdmin);
    }



    public EasyNotifySupplier(org.omg.CORBA.ORB orb, String notificationServiceMachine, String notificationServicePort) throws org.omg.CORBA.SystemException, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin{
	super(orb, notificationServiceMachine, notificationServicePort);
    }



    public EasyNotifySupplier(ORB orb, int channelId) throws ChannelNotFound, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb, channelId);
    }



    public EasyNotifySupplier(org.omg.CORBA.ORB orb, String notificationServiceMachine, String notificationServicePort, int channelId) throws org.omg.CORBA.SystemException, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin, org.omg.CosNotifyChannelAdmin.ChannelNotFound {
	super(orb, notificationServiceMachine, notificationServicePort, channelId);
    }



    // connexion en tant que supplier
    protected void startConnect() {
	System.out.println("dbut de connexion d'un Supplier au canal d'evnements");
	// rcuprer le supplierAdmin
	supplierAdmin = eventChannel.default_supplier_admin();

	// rcuprer le consummer proxy
	proxyConsumerId = new IntHolder();
	
    }

    
}
