
public class PersonneUI extends javax.swing.JDialog {

    public PersonneUI(java.awt.Frame parent) {
        super(parent, true);
	setTitle("Identification");
        initComponents();
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        panel = new javax.swing.JPanel();
        nom = new javax.swing.JTextField();
	prenom = new javax.swing.JTextField();
        okButton = new javax.swing.JButton();
	cancelButton = new javax.swing.JButton();

	

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });
	panel.setPreferredSize(new java.awt.Dimension(300,75));
	panel.setBorder(new javax.swing.border.EmptyBorder(10,10,10,10));
	
        panel.setLayout(new java.awt.GridLayout(3, 2));
        
	panel.add(new javax.swing.JLabel("Nom :"));
	panel.add(nom);
	panel.add(new javax.swing.JLabel("Prnom :"));
	panel.add(prenom);
        okButton.setText("OK");
        okButton.setPreferredSize(new java.awt.Dimension(25, 15));
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                onOk(evt);
            }
        });
        
        panel.add(okButton);

	cancelButton.setText("CANCEL");
        cancelButton.setPreferredSize(new java.awt.Dimension(25, 15));
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                onCancel(evt);
            }
        });
        
        panel.add(cancelButton);
        
        getContentPane().add(panel, java.awt.BorderLayout.CENTER);
        
        pack();
    }

    private void onOk(java.awt.event.ActionEvent evt) {
	((Client) getParent()).nom = nom.getText();
	((Client) getParent()).prenom = prenom.getText();
	
	setVisible(false);
        dispose();
    }
    
    private void onCancel(java.awt.event.ActionEvent evt) {
	((Client) getParent()).nom = "";
	((Client) getParent()).prenom = "";
	
	setVisible(false);
        dispose();
    }

    private void closeDialog(java.awt.event.WindowEvent evt) {
        setVisible(false);
        dispose();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        new PersonneUI(new javax.swing.JFrame()).show();
    }
    
    javax.swing.JPanel panel;
    javax.swing.JTextField nom;
    javax.swing.JTextField prenom;
    javax.swing.JButton okButton;
    javax.swing.JButton cancelButton;
}
