package easyNotify;

import org.omg.CosNotification.*;
import org.omg.CosNotifyComm.*;
import org.omg.CosNotifyChannelAdmin.*;
import org.omg.CosEventComm.*;
import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import java.util.*;


public abstract class EasyNotifyConsumer extends EasyNotify{


    //*****************************************************
    // Pour un consommateur
    //*****************************************************

    /**
     * pour les connexions en tant que consommateur
     **/
    protected ConsumerAdmin consumerAdmin;
    protected IntHolder proxySupplierId;


    protected StructuredProxyPushSupplier struturedProxyPushSupplier;








    public EasyNotifyConsumer(ORB orb) throws org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb);
    }
    


    public EasyNotifyConsumer(ORB orb, Property[] initialQoS, Property[] initialAdmin)throws org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb, initialQoS, initialAdmin);
    }



    public EasyNotifyConsumer(org.omg.CORBA.ORB orb, String notificationServiceMachine, String notificationServicePort) throws org.omg.CORBA.SystemException, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb, notificationServiceMachine, notificationServicePort);
    }



    public EasyNotifyConsumer(ORB orb, int channelId) throws ChannelNotFound, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin {
	super(orb, channelId);
    }



    public EasyNotifyConsumer(org.omg.CORBA.ORB orb, String notificationServiceMachine, String notificationServicePort, int channelId) throws org.omg.CORBA.SystemException, org.omg.CosNotification.UnsupportedQoS, org.omg.CosNotification.UnsupportedAdmin, org.omg.CosNotifyChannelAdmin.ChannelNotFound {
	super(orb, notificationServiceMachine, notificationServicePort, channelId);
    }



    // connexion en tant que consumer
    protected void startConnect() {
	System.out.println("Dbut de connexion d'un Consumer au service de notification");
	// rcuprer le supplierAdmin
	consumerAdmin = eventChannel.default_consumer_admin();

	// rcuprer le consummer proxy
	proxySupplierId = new IntHolder();
    }



}
