
import org.omg.CORBA.*;
import org.omg.PortableServer.*;

import java.io.*;


public class PopulationPull {


    


    public static void run (ORB orb) {
	try {
	    org.omg.CORBA.Object obj = orb.resolve_initial_references("RootPOA");
	    POA rootPOA = POAHelper.narrow(obj);
	    POAManager manager = rootPOA.the_POAManager();
	    
	    PersonnePull john = new PersonnePull(orb, rootPOA, "John Smith");

	    john.run();
	    
	    manager.activate();
	    orb.run();
	} catch (Exception e) {
	    e.printStackTrace();
	    System.exit(1);
	}
	
    }




    public static void main (String[] args) {
	
	java.util.Properties props = System.getProperties();
	props.put("org.omg.CORBA.ORBClass", "com.ooc.CORBA.ORB");
	props.put("org.omg.CORBA.ORBSingletonClass", "com.ooc.CORBA.ORBSingleton");
	
	
	ORB orb = ORB.init(args, props);
	
	run(orb);
	
    }



}
